package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 档案管理表
 * </p>
 */
@TableName("paper_archives")
public class PaperArchives extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "学期id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("semester_id")
    private Long semesterId;

    @ApiModelProperty(value = "机构id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("org_id")
    private Long orgId;

    /**
     * 档案名称
     */
    @TableField("archives_name")
    private String archivesName;

    /**
     * 档案编号
     */
    @TableField("archives_code")
    private String archivesCode;

    @ApiModelProperty(value = "档案类型id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("archives_type_id")
    private Long archivesTypeId;

    @ApiModelProperty(value = "档案管理员")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("manager_id")
    private Long managerId;

    @ApiModelProperty(value = "档案到期预警时间")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("warning_time")
    private Long warningTime;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getArchivesName() {
        return archivesName;
    }

    public void setArchivesName(String archivesName) {
        this.archivesName = archivesName;
    }

    public String getArchivesCode() {
        return archivesCode;
    }

    public void setArchivesCode(String archivesCode) {
        this.archivesCode = archivesCode;
    }

    public Long getArchivesTypeId() {
        return archivesTypeId;
    }

    public void setArchivesTypeId(Long archivesTypeId) {
        this.archivesTypeId = archivesTypeId;
    }

    public Long getManagerId() {
        return managerId;
    }

    public void setManagerId(Long managerId) {
        this.managerId = managerId;
    }

    public Long getWarningTime() {
        return warningTime;
    }

    public void setWarningTime(Long warningTime) {
        this.warningTime = warningTime;
    }
}
